/**
 * Copyright 2006 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.nutch.parse.xml.config;

import java.util.Collection;

/**
 * Cette classe permet d'encapsuler un ensemble de champs parser  partir du
 * fichier de configuration
 * <br/>
 * This class allow the encapsulation of a set of field parsed from the XML
 * config file
 *  
 * @author Rida Benjelloun (rida.benjelloun@doculibre.com)
 */
public class XMLIndexerProperties {

	private String type;

	private String nameSpace;

	private String nodeXpath;

	private Collection xmlFields;

	public String getNameSpace() {
		return nameSpace;
	}

	public void setNameSpace(String nameSpace) {
		this.nameSpace = nameSpace;
	}

	public String getNodeXpath() {
		return nodeXpath;
	}

	public void setNodeXpath(String nodeXpath) {
		this.nodeXpath = nodeXpath;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Collection getXmlFields() {
		return xmlFields;
	}

	public void setXmlFields(Collection xmlFields) {
		this.xmlFields = xmlFields;
	}

}
